%global dlrn_nvr sahara-plugin-mapr-1.0.1.dev5-0.20190902130459.ee92629
%global dlrn 1
%define upstream_version 1.0.1.dev5
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility
# Globals Declaration


%global pname sahara-plugin-mapr
%global module sahara_plugin_mapr

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
# guard for packages OSP does not ship
%global rhosp 1

%if 0%{?rhel} && 0%{?rhel} <= 7
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}}
%endif

%global common_desc \
The MapR plugin for Sahara allows Sahara to provision and \
manage MapR clusters on OpenStack.

Name:          python-sahara-plugin-mapr
Version: 1.0.1
Release: 0.20190902130459.ee92629%{?dist}
Summary:       Apache Hadoop cluster management on OpenStack
License:       ASL 2.0
URL:           https://launchpad.net/sahara
Source0: sahara-plugin-mapr-1.0.1.dev5-0.20190902130459.ee92629.tar.gz
# patches_base=ee926298eaf6b66d8a9ada545a6ed3360e5faa1d/
# patches_ignore=DROP-IN-RPM

#

BuildArch:     noarch

BuildRequires:    git
BuildRequires:    python%{pyver}-devel
BuildRequires:    python%{pyver}-setuptools
BuildRequires:    python%{pyver}-pbr >= 2.0.0
BuildRequires:    openstack-macros

# test requirements
BuildRequires:    python%{pyver}-stestr >= 1.0.0
BuildRequires:    python%{pyver}-testscenarios
BuildRequires:    python%{pyver}-oslotest
BuildRequires:    python%{pyver}-hacking
BuildRequires:    python%{pyver}-oslo-i18n >= 3.15.3
BuildRequires:    python%{pyver}-oslo-log >= 3.36.0
BuildRequires:    python%{pyver}-oslo-serialization >= 2.18.0
BuildRequires:    python%{pyver}-oslo-utils >= 3.33.0
BuildRequires:    python%{pyver}-sahara >= 10.0.0


%description
%{common_desc}


%package -n python%{pyver}-%{pname}
Summary:          MapR plugin for Sahara
%{?python_provide:%python_provide python%{pyver}-%{pname}}

Requires:         python%{pyver}-babel >= 2.3.4
Requires:         python%{pyver}-eventlet >= 0.18.2
Requires:         python%{pyver}-oslo-i18n >= 3.15.3
Requires:         python%{pyver}-oslo-log >= 3.36.0
Requires:         python%{pyver}-oslo-serialization >= 2.18.0
Requires:         python%{pyver}-oslo-utils >= 3.33.0
Requires:         python%{pyver}-pbr >= 2.0.0
Requires:         python%{pyver}-requests >= 2.14.2
Requires:         python%{pyver}-sahara >= 10.0.0
Requires:         python%{pyver}-six >= 1.10.0

# Extend the Sahara api and engine packages
%if 0%{?fedora} || 0%{?rhel} > 7
Supplements:      openstack-sahara-api
Supplements:      openstack-sahara-engine
Supplements:      openstack-sahara-image-pack
%endif

%description -n python%{pyver}-%{pname}
%{common_desc}


%package -n python%{pyver}-%{pname}-tests-unit
Summary:        Tests of the MapR plugin for Sahara
%{?python_provide:%python_provide python%{pyver}-%{pname}-tests-unit}
Requires:       python%{pyver}-%{pname} = %{version}-%{release}

%description -n python%{pyver}-%{pname}-tests-unit
%{common_desc}

This package contains the test files of the MapR plugin for Sahara.


%if 0%{?with_doc}

%package -n python-%{pname}-doc
Group:         Documentation
Summary:       Usage documentation for the MapR plugin for Sahara
Requires:      python%{pyver}-%{pname} = %{version}-%{release}
BuildRequires:    python%{pyver}-reno
BuildRequires:    python%{pyver}-sphinx >= 1.6.2
BuildRequires:    python%{pyver}-openstackdocstheme >= 1.18.1

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:    python-sphinxcontrib-httpdomain
%else
BuildRequires:    python%{pyver}-sphinxcontrib-httpdomain
%endif

%description -n python-%{pname}-doc
%{common_desc}

This documentation provides details about the MapR plugin for Sahara.

%endif


%prep
%autosetup -n %{pname}-%{upstream_version} -S git

# let RPM handle deps
%py_req_cleanup


%build
%{pyver_build}


%if 0%{?with_doc}
export PYTHONPATH=.
sphinx-build-%{pyver} -W -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
sphinx-build-%{pyver} -W -b man doc/source doc/build/man
%endif


%install
%{pyver_install}


%if 0%{?with_doc}
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1/
%endif


# TODO: re-enable when the split version of sahara.git is packaged
#%check
#export PATH=$PATH:%{buildroot}/usr/bin
#export PYTHONPATH=$PWD
#stestr-%{pyver} run


%files -n python%{pyver}-%{pname}
%doc README.rst
%license LICENSE
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/%{module}-%{upstream_version}-py?.?.egg-info
%exclude %{pyver_sitelib}/%{module}/tests

%files -n python%{pyver}-%{pname}-tests-unit
%license LICENSE
%{pyver_sitelib}/%{module}/tests

%if 0%{?with_doc}
%files -n python-%{pname}-doc
%license LICENSE
%doc doc/build/html
%{_mandir}/man1/%{pname}.1.gz
%endif


%changelog
